Bug 144737 - The dri device "card0" has no other's access rights.
The dri device "card0" has no other's access rights.
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-01-10 20:01 EST by MASAO TAKAHASHI
Modified: 2015-01-04 17:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-01 03:34:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
strace log of OpenOffice invocation (99.75 KB, text/plain)
2005-01-10 20:02 EST, MASAO TAKAHASHI
no flags Details

  None (edit)
Description MASAO TAKAHASHI 2005-01-10 20:01:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.7.5)
Gecko/20041108 Firefox/1.0

Description of problem:
The dri device "card0" has no other's access rights as follows.
crw-rw---- 1 root root 226, 0 Jan 11 09:12 card0
And OpenOffice1.1.3 programs open the device "card0", then
fail to open "card0".
This causes segmentation error and OpenOffice cannot start.

On the kernel-2.6.10-1.1053_FC4, "/dev/dri/card0" has access rights
as follows.
crw-rw-rw- 1 root root 226, 0 Jan 11 09:30 card0
So, OpenOffice1.1.3  can start normally.
I attached strace log.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.start kernel-2.6.10-1.1076_FC4
2.start any OpenOffice1.1.3 Program
3.this symptom ocuured

Additional info:
Comment 1 MASAO TAKAHASHI 2005-01-10 20:02:49 EST
Created attachment 109587 [details]
strace log of OpenOffice invocation
Comment 2 MASAO TAKAHASHI 2005-01-10 21:50:09 EST
New facts I find.
1. kernel-2.6.10-1.737_FC3 is OK.
2. Editing /etc/udev/permissions.d/50-udev.permissions 
   dri/*:root:root:0660 ---> dri/*:root:root:0666
   In this case, kernel-2.6.10-1.1076_FC4 is OK.
3. In kernel-2.6.10-1.737_FC3, even though not editing
    50-udev.permissions, the sypmtom does not occure.
 I don't know which has a problem kernel or OpenOffice.

Comment 3 Dave Jones 2005-01-10 22:17:49 EST
when you get the segmentation fault, is there a kernel panic in the
output of 'dmesg' ?

660 is correct permissions for this devnode, as otherwise it would be
a security hole.
Comment 4 MASAO TAKAHASHI 2005-01-10 22:47:07 EST
No, there is not a kernel panic.

Note You need to log in before you can comment on or make changes to this bug.